Перейти к содержанию

gizmo_zx

Пользователи
  • Публикаций

    33
  • Зарегистрирован

  • Посещение

  • Победитель дней

    1

Весь контент gizmo_zx

  1. Как-то бы хотелось оперативней получать такую информацию (хотя бы на форуме), а не тыкаться самим в слепую.
  2. Бодрого дня. Не удалось запустить NC21 на машине с четырьмя мониторами. Windows 8.1 x64 Видео: Intel HD Graphics 2000 AMD Radeon HD 6670 (1 ГБ) Монитор AOC 2352 [23" LCD] (DAJB8JA000779) Монитор AOC 2369 [23" LCD] (AEUF69A001052) Монитор BenQ FP93G (Analog) [19" LCD] (171611857) Монитор Универсальный монитор PnP [NoDB] (HLPBB00535) Зависает на тесте видеосистемы (не только первый раз) (на окне приветствия) Если отключать один или AOC 2352 + AOC 2369 объединить в один, то все ок. Есть идеи как победить?
  3. Обновления Windows 8.1 и 10 x64 (от 13.10.21 - 15.10.21) сломали визуальную четкость видового штурвала (Вид сбоку, сверху и т.д.) Может и еще чего. Windows 10: Обновление безопасности для Microsoft Windows (KB5006670)
  4. Бодрого дня. Подскажите как сделать выноску с количеством труб и диаметром. Это свойства трассы (канала) Хочу увидеть в ссылке: "6xГофр. ПВХ d25 (15м)" <TraceCanal.SpecCount>шт. /<TraceCanal.TitleName> В итоге выноска выдает "1шт. /Гофр. ПНД d32" , хотя их там 6. Про косяк в ДБ IEK , гофра выбрана D32.
  5. Бодрого дня. Есть возможность отредактировать атрибут (многострочный) у группы выделенных блоков за один раз? Сейчас получается, если выделить несколько одинаковых блоков, и попробовать поправить(изменить) многострочный атрибут, то NC21 перебирает по одному атрибуту. Если выделено 100 блоков - 100 раз откроет редактор и предложит откорректировать. А есть возможность как AC: поправил в одном, остальные поправились автоматом? Блоки одинаковые (копии) , имена атрибутов одинаковые.
  6. Доброго дня. В АС можно вставить блок из другого файла с переопределением через "Центр управления" (_adcenter). Можно ли NC ? Что-то не нашел, команда есть (_adcenter) - но уж очень обрезанная.
  7. ошибка: неверный тип аргумента: INT: CONS в строке : (cons 10 tochka ) ;точка вставки с DXF-кодом 10 добавлено через 3 минут Я в lisp вообще никак. После Autocad правлю, чтоб работало, а тут одни грабли, а я как слепой. добавлено через 5 минут В Acad не надо было преобразовывать, точка бралась с 3d координатами
  8. (defun C:raschdu_t (/) (vl-load-com) (setq tochka (getpoint "\n Точка вставки?")) (setq d (list ;формируем список с параметрами '(0 . "MTEXT") '(100 . "AcDbMText") '(10 . tochka ) ;точка вставки '(40 . 2.5) ;высота '(71 . 5) ;Способ выравнивания '(1 . "test") ; строка )) (entmake d) (princ) ) (prompt "\n\t***\tПрограмма загружена.\n\t***\t Команда для выполнения: raschdu_t\t***") (princ) NanoГад говорит: ошибка: неверный тип аргумента: 2D/3D point: TOCHKA добавлено через 1 минуту Непонятно почему не принимает запрошенную точку
  9. Бодрого дня. Подскажите как поправить lisp из Autocad, в Nano не взлетел (defun C:raschdu_t (/) (vl-load-com) (setq tochka (getpoint "\n Точка вставки?")) (setq tochka3 (mapcar '+ tochka '(-8.5 -19.1 0.0))) (command "_.-mtext" tochka3 "_j" "_tc" "_l" "_e" "" tochka3 "Вывод текста" "" ) ;_ end of command (princ) ) (prompt "\n\t***\tПрограмма загружена.\n\t***\t Команда для выполнения: raschdu_t\t***") (princ) Ошибка "Неправильный ключ или команда. Введите
  10. Можно, наверно, через поля замутить. В Mleader пихать поле с ссылкой на блок (атрибут). Предположительно в СПДС это так реализовано?
  11. код на VB.net работает, выноска создается. Остался вопрос как добраться атрибутов блока и привязаться к ним. Вроде через интерфейс это доступно, а как програмно наковырять? Работает в голой платформе без СПДС
  12. Хотелось бы обойтись без СПДС. Мне бы хотелось некоторые действия с атрибутами поделать. т.е. если блок "имя1" то сделать выноску три строки (артрибут1 , 2 и3, если "имя2" две строки (артрибут1 , 2)
  13. Бодрого дня. Нужен пример VBA или Vb.net для создания многострочной выноски, где текст строки мультивыноски привязывается к атрибуту выбранного блока. При изменении атрибута блока, текст выноски меняется. Руками делаю так, создать мультивыноску, щелкнуть по строчке взять с чертежа, указываю блок, выбираю что взять из свойств блока.
  14. Если влепить: ThisDrawing.ModelSpace.Layout.PlotType = "4" а не acWindow Начинает работать с рамкой. Но печатает "предыдущую" настройку, т.е. после отработки макроса, нажимаю настройку печати, Nanocad говорит: "Внимание! настройки печати были изменены в другой программе. Применить их вместо настроек печати nanoCad" Я так понимаю, применение макроса меняет настройки, но не может их применить. Как его заставить их применить?
  15. В чем проблема, я так и не понял. В Acade код работает как надо. Причем в Acade не зависит от последовательности: 'ThisDrawing.ModelSpace.Layout.PlotType = acWindow 'выделение рамкой. ThisDrawing.ModelSpace.Layout.SetWindowToPlot t1, t2 Или наоборот. В Nanocade область печати все равно стоит в "экран"
  16. Все равно соскакивает на "экран" ThisDrawing.ModelSpace.Layout.PlotType = acExtents - закоментил Utility.TranslateCoordinates(p1, acWorld, acDisplayDCS, False) - координаты перевел но на предпросмотре вижу, что печатается экран
  17. Хотел по быстрому перевести на vb.net вот это http://engineerbox.ru/2011/08/24/autocad-pechat-iz-modeli/ Макрос нормально работал в Autocad, с переездом на Nanocad все грустно. На Vb.net пока ничего нет, сам хотел пример глянуть. (сам то я вовсе не программист) На VBA для Excel нарыл вот чего: Вроде как подойдет для меня. Только выставляется в настройках печати - Область печати = экран Выставляю рамку, запускаю код. Печатаю в ПРФ , получаю границы экрана , а не рамку. Захожу в настройки печати , а там действительно экран. Код рабо
  18. Бодрого дня. Код взял отсюда http://fordewind.org/wiki/doku.php?id=автомат_листы К сожалению не завелся Подозреваю, что в : Function CreateLayout() Set PSVport = ThisDrawing.PaperSpace.AddPViewport(ptc, XSize, YSize) в ptc= empty На всякий случай сами файлы Plot0.xls Без имени0.dwg
  19. Бодрого дня. Есть массив пар точек (левый нижний угол, правый верхний). Хотелось бы настроить принтер в интерфейсе Nanocad. И просто задавать область печати в цикле. Подскажите рабочий примерчик печати из Vb.net.
  20. Бодрого дня. NanoCAD x64 21.0 висит на приветственном окне. Windows 8.1 x64 пустая (чистая) На других машинах все ок. На одной проблема: открывается окно приветствия и далее ничего не происходит. Несколько раз окно закрывалось, но основное окно нанокада "не отвечает". Мастер регистрации отработал. Переустановили windows ситуация сохранилась. Куда копать?
  21. Бодрого дня. А не существует ли такой утилитки для конвертации баз оборудования для Revita в базу для Электро? Т.к. эти ленивые опы (производители оборудования известных марок)не планирую дополнять/ исправлять свои базы для электро, что грустно . Типа "мы уходим в Revit"
×
×
  • Создать...